package se.sics.streamingclassifier

import org.apache.flink.api.scala.DataSet

abstract class ClassificationModel(val numFeatures: Int, val numClasses: Int) extends Serializable {
  def update(labeledSample: LabeledSample): Unit
  def predict(unlabeledSample: UnlabeledSample): ClassLabel
}

abstract class BatchClassificationModel(override val numFeatures: Int, override val numClasses: Int) extends ClassificationModel(numFeatures, numClasses) {
  def train(labeledSamples: DataSet[LabeledSample]): Unit
}
